workflow:
  rules:
    - if: $CI_MERGE_REQUEST_ID
    - if: $CI_COMMIT_TAG
    - if: $CI_COMMIT_BRANCH == "master"


test_package_template:
  stage: test
  image: alpine
  rules:
    - if: $CI_COMMIT_REF_NAME != "master"
  script:
  - mkdir .public
  - cp -r * .public
  - mv .public public

package_template:
  stage: build
  image: alpine
  rules:
    - if: $CI_COMMIT_REF_NAME == "master"
  script:
  - mkdir .public
  - cp -r * .public
  - mv .public public
  artifacts:
    paths:
    - public
